
/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoiY3VzdG9tLmNzcyIsInNvdXJjZXMiOlsiY3VzdG9tLnNjc3MiXSwibmFtZXMiOltdLCJtYXBwaW5ncyI6IiJ9 */

/*# sourceMappingURL=custom.css.map */

/*.input-group-prepend {*/
/*    width: 50px !important;*/
/*}*/


.loading_pr_white {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(255,255,255,0.7);
    z-index: 9;
}
.mfp-preloader_white {
    color: #ccc;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 32px;
    height: 32px;
    text-align: center;
    margin-top: -12px;
    margin-left: -12px;
    z-index: 1044;
    text-indent: -9999px;
    background: #fff url("../img/ajax-loader.gif") no-repeat center center;
}

.container-test {
    position: relative;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    border: 2px solid #F0F3FF;
}

/* Make the image to responsive */
.image-test {
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

/* The overlay effect - lays on top of the container and over the image */
.overlay-test {
    position: absolute;
    bottom: 0;
    background: rgb(0, 0, 0);
    background: rgba(0, 0, 0, 0.3); /* Black see-through */
    width: 100%;
    height: 100%;
    padding-top: 80%;
    transition: .5s ease;
    opacity:0;
    color: white;
    font-size: 20px;
    text-align: center;
    border-radius: 50%;
    cursor: pointer;
}

/* When you mouse over the container, fade in the overlay title */
.container-test:hover .overlay-test {
    opacity: 1;
}

.dataTables_scrollBody {
    transform:rotateX(180deg);
}
.dataTables_scrollBody table {
    transform:rotateX(180deg);
}

.table.my-table {
    border-spacing: 0;
}

table.dataTable.no-footer{
    border-bottom:0 !important
}

.table.my-table:not(.no-buttons) tr td:last-child {
    text-align: right;
    width: 60px;
    min-width: 60px;
}

.table.my-table tfoot {
    background-color: #f5f5f5;
}

.table.my-table td {
    border-bottom: 1px solid #dee2e6 !important;
    padding: 0.25rem !important;
}

.table.my-table th {
    padding: 0.5rem !important;
}

.table.my-table td .btn {
    padding: 0.1rem 0.4rem;
    font-size: 10px;
}

.table.my-table td a.row-link,
.table td a.row-link {
    color: #212529;
    transition: color 0.5s ease;
}

.table.my-table td a.row-link:hover,
.table td a.row-link:hover {
    color: #7bb346;
    text-decoration: none;
}

.my-table.table-bordered td, .my-table.table-bordered th {
    border: 0;
}

.table.my-table th.sorting,
.table.my-table th.sorting {
    transition: color 0.5s ease;
}

.table.my-table th.sorting:hover,
.table.my-table th.sorting:hover {
    color: #7bb346;
}

.table.my-table th.sorting_asc,
.table.my-table th.sorting_desc {
    color: #7bb346;
}

.table.my-table th.sorting:before,
.table.my-table th.sorting:after {
    content: "";
}

.table.my-table th.sorting_asc:before,
.table.my-table th.sorting_desc:before{
    content: "";
    display: none !important;
}

.table.my-table th.sorting_asc:after,
.table.my-table th.sorting_desc:after {
    content: "\2191";
    position: relative;
    left: 5px;
    color: #7bb346;
    opacity: 1 !important;
    display: inline !important;
    bottom: 0 !important;
}

.table.my-table th.sorting_desc:after {
    content: "\2193";
}

.card-header h3 {
    font-size: 1.25rem !important;
}

textarea.form-control {
    min-height: 52px !important;
}

.form-group {
    margin-bottom: 0.5rem !important;
}

.form-group.no-margin {
    margin-bottom: 0 !important;
}

.nav-tabs {
    background-color: #FCFCFC;
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
}

.nav-tabs li.nav-item a {
    color: #6c757d !important;
}

.nav-tabs li.nav-item a.active {
    color: #7bb346 !important;
}

.form-group label:not(.custom-label) {
    line-height: 18px !important;
    margin-bottom: 0.25rem !important;
}

/* Editable Table */
.table tbody.editable tr td input.form-control {
    border-color: #fff;
    background-color: white;
    width: 100%;
    border-radius: 0 !important;
    transition: border-color 0.5s ease;
}

.table tbody.editable tr td input.form-control:focus {
    border-color: #7bb346;
}

.table tbody.editable tr td .select2 {
    border-color: #fff;
    background-color: white;
    width: 100% !important;
    border-radius: 0 !important;
    transition: border-color 0.5s ease;
}

.table tbody.editable tr td select.form-control-sm.combo {
    padding: .25rem .5rem !important;
    height: 31px !important;
    border-color: #fff !important;
}

.table.table-editable th {
    background-color: #F9F9F9;
    color: #777777;
    padding-left: 0.5rem;
    font-weight: 400;
    border-color: #dee2e6 !important;
    border-bottom: 1px solid #dee2e6 !important;
}

.table.table-editable td {
    padding: 0 !important;
    border-color: #dee2e6 !important;
    vertical-align: middle;
}

.table.table-editable td.with-padding {
    padding-left: 5px !important;
}

.table.table-editable-large td {
    padding: 0.3rem !important;
    padding-left: 0.5rem !important;
}

.table.table-editable:not(.no-buttons) tr th:last-child {
    min-width: 25px;
    width: 1%;
    border: 0;
    background-color: white;
    border-bottom: 0 !important
}

.table.table-editable-large tr th:last-child {
    min-width: 60px !important;
}

.table.table-editable:not(.no-buttons) tr td:last-child {
    text-align: center;
    border: 0;
    padding-top: 2px !important;
    vertical-align: bottom;
}

.table.table-editable tr td:last-child a {
    font-size: 20px;
    line-height: 20px;
}

.table.table-editable tr td:last-child a.browse {
    color: #58B1E2 !important;
}

.table.table-editable tr td:last-child a.delete {
    color: #fdb6b4 !important;
    margin-left: 0;
}

.table.table-editable-large tr td:last-child a.delete {
    color: #fdb6b4 !important;
    margin-left: 3px;
}

.btn.form-action,
.card-header .btn {
    font-size: 13px;
    font-weight: 400;
    letter-spacing: 0;
    box-shadow: none !important;
    border-radius: 4px !important;
}

.form-group .selectgroup.selectgroup-pills .selectgroup-item i {
    margin-right: 5px;
    /*color: #7bb346;*/
}

.form-group select.form-control-sm.combo {
    padding: .25rem .5rem !important;
    height: 31px !important;
}

.form-group .banner-div .select2 {
    width: 100% !important;
}

/* Image Upload In Table */
.table-editable .custom-file {
    height: 31px !important;
}

.table-editable .custom-file-input {
    height: 31px !important;
}

.table-editable .custom-file-label {
    height: 31px !important;
    line-height: 21px !important;
    /*border-color: #fff !important;*/
    border-radius: 0 !important;
    background-color: #fff !important;
    margin-bottom: 0 !important;
    border: 0;
}

.table-editable .custom-file span {
    display: inline;
    position: absolute;
    margin-left: -20px;
    z-index: 10;
    font-size: 20px;
    color: #58B1E2;
    cursor: pointer;
    margin-top: 1px;
}

.table-editable .custom-file-label::after {
    line-height: 21px !important;
    content: "" !important;
    border-radius: 0 !important;
    background-color: #fff !important;
    height: 29px !important;
}

/*.table .badge {*/
/*    padding: 4px;*/
/*    font-size: 10px;*/
/*    margin-left: 5px;*/
/*}*/

.image-preview .badge {
    padding: 4px;
    font-size: 10px;
    margin-left: 5px;
}

.main-content {
    padding-top: 100px !important;
}

.nav-pills .nav-item .nav-link.active {
    box-shadow: none;
}

.tab-company {
    border-right: 1px #dee2e6 solid;
}

@media (max-width: 768px) {
    .tab-company {
        border-right: 0;
    }
}

.input-group-sm .input-group-prepend .input-group-text {
    height: 31px;
}

.form-group .input-group-sm .input-group-prepend .input-group-text i {
    color: #7bb346;
}

.main-sidebar .sidebar-menu li a {
    height: 40px !important;
}

.avatar {
    box-shadow: 0 5px 15px rgba(105, 103, 103, 0.5) !important;
}

.table.order-details-table tr th:first-child {
    width: 25%;
}

.table.order-details-table tr td:last-child {
    width: 75%;
    color: #767676;
    border: 1px solid #f6f6f6 !important;
}

.text-status {
    text-transform: none !important;
    color: #7bb346;
}

.activities .activity {
    min-height: 100px;
}

.activities .activity.canceled .text-status {
    text-transform: none !important;
    color: #fc544b;
}

.activities .activity .activity-icon {
    background-color: #7bb346 !important;
}

.activities .activity.canceled .activity-icon {
    background-color: #fc544b !important;
}

.activities .activity.inactive .activity-icon {
    background-color: #ececec !important;
    color: #cccccc !important;
}

.activities .activity.inactive:before,
.activities .activity.last-active:before{
    background-color: #ececec !important;
}

table.dataTable img {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: 1px solid rgba(105,103,103,0.2) !important;
    border-radius: 0 !important;
    width: 40px;
    height: 40px;
}

.custom-switch {
    padding-left: 0;
}

.theme-white .login-section .card.card-primary {
    border-top: unset;
}

.select2-container.select2-container--open .select2-selection--single,
.select2-container.select2-container--focus .select2-selection--multiple, .select2-container.select2-container--focus .select2-selection--single{
    border-color: #7bb346;
}

.table tr.out-of-stock {
    background-color: #ffecec;
}

.input-group-text {
    background-color: #f3f3f3;
}

.table tbody.editable tr td input.form-control:disabled {
    background-color: #f9f9f9;
}

.table tbody.editable tr td .select2-container--default .select2-selection--multiple,
.table tbody.editable tr td .select2-container--default .select2-selection--single {
    border: 0 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    box-shadow: unset !important;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
    display: block !important;
}

.table.order-details-table tr:last-child {
    font-weight: bold;
    font-size: 120%;
}

.table.order-details-table tr:last-child td:last-child {
    color: #7bb346;
}

.main-sidebar li.dropdown span.badge {
    padding: 5px !important;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    font-size: 10px;
    position: absolute;
    top: 10px;
    right: 10px;
}

.main-sidebar .sidebar-menu li a i {
    margin-right: 8px;
    font-size: 24px;
}

.table:not(.table-sm):not(.table-md):not(.dataTable) td,
.table:not(.table-sm):not(.table-md):not(.dataTable) th {
    height: 42px;
}

.table-responsive.new-grid .select2-container.select2-container--open .select2-selection--single,
.table-responsive.new-grid .select2-container.select2-container--focus .select2-selection--multiple,
.table-responsive.new-grid .select2-container.select2-container--focus .select2-selection--single {
    border-radius: 0;
}

.table tbody tr td a span.text-success,
.table tbody tr td a span.badge-danger{
    transition: all 0.3s ease-in;
}

.table tbody tr td a:hover span.badge-danger {
    background-color: #dc3545;
}

.table tbody tr td a:hover {
    text-decoration: none;
}

.table tbody tr td a:hover span.text-success {
    color: #28a745 !important;
}

.font-dw-title {
    font-weight: 500;
    font-size: 14px;
    color: #9e9e9e;
}

.font-dw-number {
    font-size: 28px;
    font-weight: 400;
    font-family: 'Roboto Condensed', sans-serif;
}

.form-buttons button {
    width: 90px;
}

.table .filepond--root {
    margin-bottom: 0;
}

.add-row {
    text-align: center;
    color: #777777;
    padding-bottom: 5px;
    padding-top: 5px;
    background-color: #F9F9F9;
    font-size: 14px !important;
    width: 100%;
    display: block;
}

.add-row:hover {
    text-decoration: none;
    color: #7bb346;
}

.custom-color-input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 45px !important;
    height: 40px !important;
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding: 0 !important;
}
.custom-color-input::-webkit-color-swatch {
    border-radius: 5px;
    border: none;
}
.custom-color-input::-moz-color-swatch {
    border-radius: 5px;
    border: none;
}

.attribute-types .table-bordered td, .attribute-types .table-bordered th {
    border: 1px solid #dee2e6;
}

.attribute-types .table-bordered tfoot td {
    border: 0;
    padding: 10px 0 0 !important;
}

.light-sidebar .main-sidebar .sidebar-menu li ul.dropdown-menu li.active>a,
.light-sidebar .main-sidebar .sidebar-menu li ul.dropdown-menu li.active>a::before {
    color: #7bb346;
    font-weight: 700;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    background-color: #629037;
}

.form-control,
.input-group-text,
.custom-select,
.custom-file-label,
.bootstrap-tagsinput,
.select2-container .select2-selection--multiple,
.select2-container .select2-selection--single,
.select2-dropdown,
.selectgroup-button,
.tab-bordered .tab-pane {
    border-color: #adadad;
}

.bootstrap-tagsinput {
    border-color: #adadad !important;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active,
.nav-tabs .nav-link.active:focus,
.nav-tabs .nav-link.active:hover {
    border-color: #adadad #adadad #fff;
}

.nav-tabs .nav-link:focus,
.nav-tabs .nav-link:hover {
    border-color: #dee2e6 #dee2e6 #adadad;
}


.swatch {
    position: relative;
    margin: 0.5rem;
    width: 42px;
    height: 42px;
    border-radius: 42px;
    line-height: 42px;
    display: inline-block;
}

.swatch > [type=radio], .swatch > [type=checkbox] {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
}

.swatch > [type=radio] + label, .swatch > [type=checkbox] + label {
    width: 42px;
    height: 42px;
    border-radius: 42px;
    line-height: 42px;
    text-align: center;
    position: absolute;
    transition: all 0.5s ease-in-out;
    cursor: pointer;
}

.swatch > [type=radio]:checked + label, .swatch > [type=checkbox]:checked + label {
    width: 54px;
    height: 54px;
    border-radius: 54px;
    line-height: 54px;
    top: -6px;
    left: -6px;
    transition: all 0.5s ease-in-out;
}

.swatch > [type=radio] + label i, .swatch > [type=checkbox] + label i {
    opacity: 0;
    /*font-size: 1rem;*/
    line-height: 40px;
    transition: opacity 0.5s;
}

.swatch > [type=radio]:checked + label i, .swatch > [type=checkbox]:checked + label i {
    opacity: 1;
    font-size: 1.25rem;
    line-height: 54px;
    transition: opacity 0.5s;
}

.table .checkbox {
    display: inline-block;
    margin-top: 0;
    margin-bottom: 0;
    vertical-align: middle;
}

table.dataTable thead th.dt-checkboxes-select-all,
table.dataTable tbody td.dt-checkboxes-cell {
    text-align: center;
    padding-bottom: 10px !important;
}

.badge.badge-light {
    margin-top: 2px;
    margin-bottom: 2px;
}


.display-one-line{
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 30vw;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    white-space: normal;
    word-break: break-word;
}

.theme-dark .btn-primary:hover {
    background-color: #629037 !important;
    color: #fff;
}

.dark input.form-control,
.dark .form-control,
.dark .form-group>label,
.dark .custom-switch-description,
.dark .select2-container--default .select2-selection--single .select2-selection__rendered,
.dark .table.my-table td a.row-link, .table td a.row-link {
    color: #fff;
}

.dark .text-muted {
    color: #d5d5d5 !important;
}

.theme-dark .badge.badge-light {
    background-color: #545556 !important;
    color: #fff !important;
}

.theme-dark table.dataTable tbody tr {
    background-color: #3b4452;
    color: #fff;
}
